# $Revision: 1.20 $, $Date: 2005/09/17 12:00:34 $
Summary:	Risk clone
Summary(pl):	Klon Ryzyka
Name:		teg
Version:	0.11.0
Release:	6
License:	GPL
Group:		X11/Applications/Games
Source0:	http://dl.sourceforge.net/teg/%{name}-%{version}.tar.bz2
# Source0-md5:	b7c778b07a22c34bd21942a8be26e095
Patch0:		%{name}-desktop.patch
URL:		http://teg.sourceforge.net/
BuildRequires:	automake
BuildRequires:	glib2-devel >= 2.0.0
BuildRequires:	libgnome-devel >= 2.0.0
BuildRequires:	libgnomeui-devel >= 2.0.0
BuildRequires:	libxml2-devel >= 2.4.0
BuildRequires:	readline-devel
BuildRequires:	rpmbuild(macros) >= 1.197
Requires(post,preun):	GConf2
Requires:	glib2 >= 2.0.0
Requires:	libgnome >= 2.0.0
Requires:	libgnomeui >= 2.0.0
Requires:	libxml2 >= 2.4.0
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Tenes Emapandas Graciela (TEG) is a clone of 'Plan Tctico y
Estratgico de la Guerra', which is a pseudo-clone of Risk, a
multiplayer turn-based strategy game. Some rules are different.

%description -l pl
Tenes Emapandas Graciela (TEG) jest klonem 'Plan Tctico y Estratgico
de la Guerra', ktry jest pseudo-klonem Ryzyka, strategicznej gry
turowej dla wielu graczy. Niektre zasady s inne.

%prep
%setup -q
%patch0 -p1

%build
cp -f /usr/share/automake/config.* .
%configure \
	--with-readline \
	--without-static
%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT \
	GCONFTOOL=/bin/true \
	Gamesdir=%{_desktopdir}

%find_lang %{name} --with-gnome

%clean
rm -rf $RPM_BUILD_ROOT

%post
%gconf_schema_install teg.schemas

%preun
%gconf_schema_uninstall teg.schemas

%files -f %{name}.lang
%defattr(644,root,root,755)
%doc ChangeLog PEOPLE README.GGZ TODO README
%attr(755,root,root) %{_bindir}/*
%{_pixmapsdir}/teg_icono.png
%{_pixmapsdir}/teg_pix
%{_desktopdir}/*.desktop
%{_sysconfdir}/gconf/schemas/*.schemas

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: teg.spec,v $
Revision 1.20  2005/09/17 12:00:34  arekm
- new readline, 5.0

Revision 1.19  2005/05/30 15:01:28  megabajt
- unified sf URL

Revision 1.18  2005/05/13 09:26:17  ankry
- desktop fix

Revision 1.17  2005/04/29 18:34:28  paladine
- new style macros, rel. 5

Revision 1.16  2005/04/09 08:15:57  adamg
- release 4 (rebuild with new libhowl)

Revision 1.15  2004/11/04 11:45:27  paladine
- rel 3 for fixed desktop patch

Revision 1.14  2004/06/13 10:27:22  averne
s/Gconf2/GConf2/g

Revision 1.13  2004/04/08 18:44:02  qboosh
- replaced separate .desktop by desktop patch, switched to vfolders
- fixed build on amd64, release 2

Revision 1.12  2003/07/09 12:40:00  qboosh
- updated to 0.11.0 for GNOME2

Revision 1.11  2003/07/09 11:57:27  qboosh
- fixed build, use find_lang for gnome/help

Revision 1.10  2003/05/28 13:02:13  malekith
- massive attack: source-md5

Revision 1.9  2003/05/25 06:27:14  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.8  2003/05/20 09:29:40  qboosh
- standardized sf URLs, minor fixes or cosmetics

Revision 1.7  2003/01/18 22:57:39  juandon
- removed two lines with define

Revision 1.6  2002/05/27 13:10:21  jajcus
- Version: 0.10.0
- update for new %doc compression

Revision 1.5  2002/05/21 23:14:48  kloczek
perl -pi -e "s/^automake -a -c -f --foreing/\%\{__automake\}/; \
             s/^automake -a -c -f/\%\{__automake\}/; \
	     s/^autoconf/\%\{__autoconf\}/"

Revision 1.4  2002/03/21 10:41:02  wolf
- Risk has its name in polish

Revision 1.3  2002/03/01 17:53:20  kloczek
- cosmetics.

Revision 1.2  2002/03/01 17:11:50  blues
- ac regeneration; BR added

Revision 1.1  2002/02/28 09:28:43  wolf
- initial release
